# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'xcapp/version'

Gem::Specification.new do |spec|
  spec.name          = "xcapp"
  spec.version       = XCApp::VERSION
  spec.authors       = ["Mauro E. Bender"]
  spec.email         = ["maurobender@gmail.com"]

  spec.summary       = "Command line tool for creating iOS XCode projects."
  spec.description   = "Command line tool for creating iOS XCode projects with a set of common files included in a really easy way."
  spec.homepage      = "https://github.com/maurobender/xcapp"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "bin"
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "commander", "~> 4.3"
  spec.add_dependency "xcodeproj", "~> 0.28"

  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
